Skip to main content
GET
/
v1
/
automations
/
{id}
/
executions
List Automation Executions
curl --request GET \
  --url https://api.replicas.dev/v1/automations/{id}/executions \
  --header 'Authorization: Bearer <token>'
{
  "executions": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "automation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "triggered_at": "2023-11-07T05:31:56Z",
      "trigger_payload": {},
      "status": "pending",
      "error": "<string>",
      "completed_at": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123,
  "page": 123,
  "limit": 123,
  "totalPages": 123
}

Authorizations

Authorization
string
header
required

API key authentication. Obtain your API key from the Replicas dashboard under Settings > API Keys.

Path Parameters

id
string<uuid>
required

The unique identifier of the automation

Query Parameters

page
integer
default:1

Page number for pagination

Required range: x >= 1
limit
integer
default:20

Number of items per page

Required range: 1 <= x <= 100

Response

Successful response

Paginated list of automation executions

executions
object[]
required
total
integer
required

Total number of executions

page
integer
required

Current page number

limit
integer
required

Number of items per page

totalPages
integer
required

Total number of pages